Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRXmlUtils

    java.lang.Object
      net.sf.jasperreports.engine.util.JRXmlUtils

    public final class JRXmlUtils

extends java.lang.Object

XML parsing utilities.

Version:
  $Id: JRXmlUtils.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`static org.w3c.dom.Document` | `createDocument(org.w3c.dom.Node sourceNode)` Creates a document having a node as root.
`static javax.xml.parsers.DocumentBuilder` | `createDocumentBuilder()` Creates a XML document builder.
`static org.w3c.dom.Document` | `parse(java.io.File file)` Parses a file into a document.
`static org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is)` Parses an input source into a document.
`static org.w3c.dom.Document` | `parse(java.io.InputStream is)` Parses an input stream into a XML document.
`static org.w3c.dom.Document` | `parse(java.lang.String uri)` Parses a document specified by an URI.
`static org.w3c.dom.Document` | `parse(java.net.URL url)` Parses an URL stream as a XML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                                      throws JRException

  Parses an input source into a document.

  Parameters:
    `is` - the input source
  Returns:
    the parsed document
  Throws:
    `JRException`

### parse

    public static org.w3c.dom.Document parse(java.lang.String uri)
                                      throws JRException

  Parses a document specified by an URI.

  Parameters:
    `uri` - the URI
  Returns:
    the parsed document
  Throws:
    `JRException`

### parse

    public static org.w3c.dom.Document parse(java.io.File file)
                                      throws JRException

  Parses a file into a document.

  Parameters:
    `file` - the XML file
  Returns:
    the document
  Throws:
    `JRException`

### parse

    public static org.w3c.dom.Document parse(java.io.InputStream is)
                                      throws JRException

  Parses an input stream into a XML document.

  Parameters:
    `is` - the input stream
  Returns:
    the document
  Throws:
    `JRException`

### parse

    public static org.w3c.dom.Document parse(java.net.URL url)
                                      throws JRException

  Parses an URL stream as a XML document.

  Parameters:
    `url` - the URL
  Returns:
    the document
  Throws:
    `JRException`

### createDocumentBuilder

    public static javax.xml.parsers.DocumentBuilder createDocumentBuilder()
                                                                   throws JRException

  Creates a XML document builder.

  Returns:
    a XML document builder
  Throws:
    `JRException`

### createDocument

    public static org.w3c.dom.Document createDocument(org.w3c.dom.Node sourceNode)
                                               throws JRException

  Creates a document having a node as root.

  Parameters:
    `sourceNode` - the node
  Returns:
    a document having the specified node as root
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com